Skip to main content
Back to API List Use this API to delete multiple contacts simultaneously by IDs.
MethodDELETE
Endpointhttps://{{host}}/agentassist/api/v1/public/{{streamId}}/contacts/bulk-delete
Content-Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token.
API ScopeConfiguration

Path Parameters

ParameterDescriptionType
hostEnvironment URL, for example, https://platform.kore.aistring, required
streamIdBotId or StreamId. You can access it from the App Settings page of the bot.string, required

Sample Request

curl --location --request DELETE 'https://{{host}}/agentassist/api/v1/public/{{streamId}}/contacts/bulk-delete' \
--header 'Content-Type: application/json' \
--header 'accountId: {{accountId}}' \
--header 'auth: {{jwt_token}}' \
--data '{
    "ids": [
      "6960cbe9b155d194e2fxxxxx",
      "6960cc07b155d194e2fxxxxx"
    ]
  }'

Request Headers

HeaderDescriptionRequired/Optional
authJWT token for authentication.Required
accountIdThe account ID associated with the API request.Required
Content-TypeThe format of the request payload. Use application/json.Required

Body Parameters

ParameterDescriptionType
idsContact IDs to be deleted.array[strings], required

Sample Response

{
    "totalRequested": 2,
    "successful": 2,
    "failed": 0,
    "successfulRecords": [
        {
            "id": "6960cbe9b155d194e2fxxxxx"
        },
        {
            "id": "6960cc07b155d194e2fxxxxx"
        }
    ],
    "failedRecords": []
}

Response Body Parameters

ParameterDescriptionType
totalRequestedTotal number of records requested.integer
successfulTotal number of records successfully deleted.integer
failedNumber of records that failed to process.integer
successfulRecordsArray of contact IDs that were deleted.array of objects
idUnique identifier of a successfully deleted record.string
failedRecordsList of records that failed to delete. This array is empty when there are no failures.array of objects